<div class="msg-pop">
                <h3>Save drawn Area</h3>
             </div>
             <form class="search-batch" [formGroup]="addPaymentZone" (ngSubmit)="savePaymentZone()">
                <div class="modal-body ibox-content">
                   <div class="form-group">
                      <div class="row">
                         <label class="col-sm-4 control-label">Company</label>
                         <div class="col-sm-8">
                            <select class="form-control" placeholder = "Select Company" name="company" formControlName="company">
                                    <option value="Dubai taxi">
                                                Dubai taxi 
                                    </option>
                            </select>
                         </div>
                      </div>
                   </div>
                   <div class="form-group">
                      <div class="row">
                         <label class="col-sm-4 control-label">zone type</label>
                         <div class="col-sm-8">
                        <select class="form-control" placeholder = "Select zone type " name="zone_type" formControlName="zone_type">
                                <option value="drive thru payment zone">
                                                drive thru payment zone
                                </option>
                                <option value="payment extra pickup zone">
                                                payment extra dropoff zone
                                </option>
                                <option value="drive thru payment zone">
                                                payment extra dropoff zone
                                </option>
                                <option value="payment extra pickup dropoff zone">
                                                payment extra pickup dropoff zone
                                </option>
                        </select>
                         </div>
                      </div>
                   </div>
                   <div class="form-group">
                      <div class="row">
                         <label class="col-sm-4 control-label"> Area type</label>
                         <div class="col-sm-8">
                                <select class="form-control" placeholder = "Select Zone" name="area_type" formControlName="area_type">
                                        <option value="Zone">
                                                        Zone 
                                        </option>
                                </select>
                         </div>
                      </div>
                   </div>
                   <div class="form-group">
                        <div class="row">
                                <label class="col-sm-4 control-label">Price</label>
                                <div class="col-sm-8">
                                        <input type ="text" class="form-control" placeholder = "Price" name="rate" formControlName="rate">
                                </div>
                        </div>
                    </div>
                   <div class="form-group">
                      <div class="row">
                         <label class="col-sm-4 control-label"> Name/Prefix <i aria-hidden="true" class="mandatory">*</i></label>
                         <div class="col-sm-8">
                            <input type="text" placeholder = "Enter Name" class="form-control" name="name" formControlName="name">
                         </div>
                         <div *ngIf="addPaymentZone.controls['name'].invalid && (addPaymentZone.controls['name'].dirty || addPaymentZone.controls['name'].touched)" >
                                <div *ngIf="addPaymentZone.controls['name'].errors.required" class="text-danger">
                                  Name is required.
                                </div>
                              </div>
                      </div>
                      
                   </div>
                   <div class="form-group">
                      <div class="row">
                         <label class="col-sm-4 control-label"> Payment extra </label>
                         <div class="col-sm-8">
                                <select class="form-control" placeholder = "Select Payment Extra" name="payment_extra" formControlName="payment_extra">
                                        <option *ngFor="let data of paymentData" [value]="data._id">
                                                        {{data.payment_extra}}
                                        </option>
                                </select>
                         </div>
                      </div>
                   </div>
                   <div class="row">
                        <div class="col-sm-12 pop-btn text-right">
                                <button class="btn btn-primary close-btn" [disabled]="addPaymentZone.invalid"  type="submit">Save</button>
                                <button class="btn btn-default close-btn" type="button" (click)="closePop()">Cancel</button>
                        </div>
                </div>
                </div>
             </form>
             
             